SYSTEMD-STORAGE-BLOCK@.SERVICE(8)

NAME
systemd-storage-block@.service, systemd-storage-block.socket, systemd-storage-block - Storage provider exposing local block devices as storage volumes

SYNOPSIS

systemd-storage-block@.service

systemd-storage-block.socket

DESCRIPTION

systemd-storage-block@.service is a system service that implements the io.systemd.StorageProvider Varlink[1] interface, exposing the system's block devices (such as disks, partitions, and device-mapper nodes) as storage volumes that may be acquired by other programs as file descriptors.

The service is socket-activated via systemd-storage-block.socket, which listens on the AF_UNIX socket /run/systemd/io.systemd.StorageProvider/block. The socket directory /run/systemd/io.systemd.StorageProvider/ is the well-known location where storage providers register, see storagectl(1) for an enumeration tool.

See also systemd-storage-fs@.service(8) for a complementary implementation that exposes regular files and directories from a backing file system.

VOLUMES

The volumes exposed via the provider are identified by an absolute path (which must begin with /dev/), i.e. as a kernel block device node such as /dev/sda or /dev/disk/by-id/.... Volume names that are not normalized or that do not begin with /dev/ are not accepted.

OPTIONS

The following options are understood:

-h, --help
    Print a short help text and exit.

--version
    Print a short version string and exit.

FILES

/run/systemd/io.systemd.StorageProvider/block
    AF_UNIX socket the service listens on. This is the canonical location for the "block" storage provider, and is enumerated by storagectl providers.

    Added in version 261.

SEE ALSO

systemd(1), storagectl(1), systemd-storage-fs@.service(8)

NOTES

1.  Varlink
    https://varlink.org/